SoMFString(3)

NAME
SoMFString - The SoMFString class is a container for SbString values.

SYNOPSIS

#include <Inventor/fields/SoMFString.h>

Inherits SoMField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoMFString & operator= (const SoMFString &field)
virtual SbBool isSame (const SoField &field) const
const SbString & operator[] (const int idx) const
const SbString * getValues (const int start) const
int find (const SbString &value, SbBool addifnotfound=FALSE)
void setValues (const int start, const int num, const SbString *newvals)
void set1Value (const int idx, const SbString &value)
void setValue (const SbString &value)
const SbString & operator= (const SbString &val)
SbBool operator== (const SoMFString &field) const
SbBool operator!= (const SoMFString &field) const
SbString * startEditing (void)
void finishEditing (void)
void setValues (const int start, const int num, const char *strings[])
void setValue (const char *string)
void deleteText (const int fromline, const int fromchar, const int toline, const int tochar)

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Member Functions
virtual void deleteAllValues (void)
virtual void copyValue (int to, int from)
virtual int fieldSizeof (void) const
virtual void * valuesPtr (void)
virtual void setValuesPtr (void *ptr)
virtual void allocValues (int num)

  Protected Attributes
SbString * values

  Additional Inherited Members

Detailed Description

The SoMFString class is a container for SbString values. This field is used where nodes, engines or other field containers needs to store arrays of strings.

See also
    SoSFString

Member Function Documentation

  void * SoMFString::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoMFString::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoMFString::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoMFString::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoMFString::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoMFString::deleteAllValues (void) [protected], [virtual]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.

Implements SoMField.

  void SoMFString::copyValue (int to, int from) [protected], [virtual]
This method is used for moving values around internally within a multivalue field. It needs to be overridden in each field so it automatically takes care of running copy constructors where necessary.

Implements SoMField.

  const SbString * SoMFString::getValues (const int start) const [inline]
Returns a pointer to the values array.

  void SoMFString::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoMFString::setValues (const int start, const int numarg, const char * strings[])
Set field to contain num strings from index start, replacing any strings already present at the given indices.

  void SoMFString::setValue (const char * str)
Set field to contain a single string, from str.

  void SoMFString::deleteText (const int fromline, const int fromchar, const int toline, const int tochar)
Remove all text from fromchar on fromline and to tochar on toline, including all lines between fromline and toline. Merge fromline and toline after deletion.

Author

Generated automatically by Doxygen for Coin from the source code.